This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### getChild()
Examples |
    PShape states;
    PShape ohio;

    void setup() {
      size(100, 100);
      states = loadShape("tristate.svg");
      ohio = states.getChild("OH");
      ohio.disableStyle();
    }

    void draw() {
      background(0);
      shape(states, -48, 5);
      fill(102, 0, 0);
      shape(ohio, -48, 5);
    }
Description | Extracts a child shape from a parent shape. Specify the name of the shape with the target parameter. The shape is returned as a PShape object, or null is returned if there is an error.
Syntax |
    sh.getChild(index)
    sh.getChild(target)
Parameters |
sh | PShape: any variable of type PShape
index | int: the layer position of the shape to get
target | String: the name of the shape to get
Returns | PShape
Related | addChild()

Updated on October 26, 2013 08:58:33pm PDT